﻿@page
@model ExternalLoginModel
@{
    ViewData["Title"] = "Register";
}

<h1>@ViewData["Title"]</h1>
<h2 id="external-login-title">Associate your @Model.ProviderDisplayName account.</h2>
<hr />

<p id="external-login-description" class="text-info">
    You've successfully authenticated with <strong>@Model.ProviderDisplayName</strong>.
    Please enter an email address for this site below and click the Register button to finish
    logging in.
</p>

<div class="row">
    <div class="col-md-4">
        <form asp-page-handler="Confirmation" asp-route-returnUrl="@Model.ReturnUrl" method="post">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-floating">
                <input asp-for="Input.Email" class="form-control" autocomplete="email" />
                <label asp-for="Input.Email" class="form-label"></label>
                <span asp-validation-for="Input.Email" class="text-danger"></span>
            </div>
            <div class="form-floating">
                <input asp-for="Input.Name" class="form-control" autocomplete="name" />
                <label asp-for="Input.Name" class="form-label"></label>
                <span asp-validation-for="Input.Name" class="text-danger"></span>
            </div>
            <div class="form-floating">
                <input asp-for="Input.PhoneNumber" class="form-control" autocomplete="email" placeholder="Please enter your PhoneNumber." />
                <label asp-for="Input.PhoneNumber" class="form-label"></label>
                <span asp-validation-for="Input.PhoneNumber" class="text-danger"></span>
            </div>
            <div class="form-floating">
                <input asp-for="Input.StreetAddress" class="form-control" autocomplete="address" />
                <label asp-for="Input.StreetAddress" class="form-label"></label>
                <span asp-validation-for="Input.StreetAddress" class="text-danger"></span>
            </div>
            <div class="form-floating">
                <input asp-for="Input.City" class="form-control" autocomplete="email" placeholder="Please enter your City." />
                <label asp-for="Input.City" class="form-label"></label>
                <span asp-validation-for="Input.City" class="text-danger"></span>
            </div>
            <div class="form-floating mb-3">
                <input asp-for="Input.State" class="form-control" autocomplete="email" placeholder="Please enter your State." />
                <label asp-for="Input.State" class="form-label"></label>
                <span asp-validation-for="Input.State" class="text-danger"></span>
            </div>
            <div class="form-floating mb-3">
                <input asp-for="Input.PostalCode" class="form-control" autocomplete="email" placeholder="Please enter your Postal Code." />
                <label asp-for="Input.PostalCode" class="form-label"></label>
                <span asp-validation-for="Input.PostalCode" class="text-danger"></span>
            </div>
            <button type="submit" class="w-100 btn btn-lg btn-primary">Register</button>
        </form>
    </div>
</div>

@section Scripts {
    <partial name="_ValidationScriptsPartial" />
}
